<?php

namespace Litecms\ModeartorGroupQuery\Repositories\Eloquent;

use Litecms\ModeartorGroupQuery\Interfaces\ModeartorGroupQueryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ModeartorGroupQueryRepository extends BaseRepository implements ModeartorGroupQueryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.modeartor_group_query.modeartor_group_query.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.modeartor_group_query.modeartor_group_query.model.model');
    }
}
